#include <SPI.h>
#include <Ethernet.h>

int relej = 8;


byte mac[] = { 0x90, 0xA2, 0xDA, 0x0D, 0xA8, 0x34 };   
byte ip[] = { 161, 53, 64, 35};                     
byte gateway[] = { 161, 53, 64, 1 };                   
byte subnet[] = { 255, 255, 255, 0 };                  
EthernetServer server(80);                                 
String readString;

void setup() {
  Serial.begin(9600);
  pinMode(relej, OUTPUT);

  // start the ethernet and server
  Ethernet.begin(mac, ip, gateway, subnet);
  server.begin();
}


void loop() {
  EthernetClient client = server.available();
  if (client) {
    while (client.connected()) {   
      if (client.available()) {
        char c = client.read();
     
        //read char by char HTTP request
        if (readString.length() < 100) {
          //store characters to string
          readString += c;
          //Serial.print(c);
         }


         if (c == '\n') {              
           client.println("HTTP/1.1 200 OK"); //new page
           client.println("Content-Type: text/html");
           client.println();    
           client.println("<HTML>");
           client.println("<HEAD>");
           client.println("<meta charset='UTF-8'>");
           client.println("<TITLE>Daljinsko upravljanje utičnicom</TITLE>");
           client.println("</HEAD>");
           client.println("<BODY>");
           client.println("<h1>S2U2 - Daljinski upravljiva utičnica</h1>");
           client.println("<h3>SPVP - 2015</h3>");
           client.println("<br />");           
           client.println("<a href=\"/?button1on\"\">Uključi</a>");
           client.println("<a href=\"/?button1off\"\">Isključi</a><br />");            
           client.println("<br />");     
           client.println("</BODY>");
           client.println("</HTML>");
           client.stop();
           if (readString.indexOf("?button1on") >0){
               digitalWrite(relej, HIGH);
           }
           if (readString.indexOf("?button1off") >0){
               digitalWrite(relej, LOW);
           }
           readString="";              
         }
       }
    }
}
}

